Installing JRE 1.6 on your Mac OS X Leopard (10.5.8 or later)

Installing JRE 1.6 on your Mac OS X Leopard (10.5.8 or later)

I had such a hard time finding the correct download link for the Java Runtime Environment (JRE) 1.6 for Mac OS X Leopard (10.5.8+), that I decided I would just provide it right here, or if you prefer to download it straight from the mac site.

Just a tip, if you’d like to make JRE 1.6 the default after you install it, then you will probably want to get the script discussed on this forum post: http://www.insanelymac.com/forum/index.php?showtopic=58817

Here is a modified version of the code to work with the 1.6 JRE instead of JDK, name the file changeJRE.sh and make sure you ‘chmod +x changeJRE.sh’ before trying to execute the script.

#!/bin/sh

cd /System/Library/Frameworks/JavaVM.framework/Versions

CURJRE="`readlink Current`"
echo Current JRE version: $CURJRE

if [ "$1" == "" ]; then
echo Installed versions:
ls
exit
fi

VERFOUND=`ls | grep $1 | head -n 1`

if [ "$VERFOUND" != "$1" ]; then
BASE="`basename $0`"
echo Error: Could not change JRE-- version $1 not installed!
echo Run $BASE without arguments to see a list of installed versions.
exit 127
fi

echo You must now enter your Mac OS X password to change the JRE.
sudo ln -fhsv $1 Current

About Java for Mac OS X 10.5 Update 6
Java for Mac OS X 10.5 Update 6 delivers improved reliability, security, and compatibility for J2SE 5.0 and Java SE 6. Java for Mac OS X 10.5 Update 6 supersedes all previous updates of Java for Mac OS X 10.5.

This release updates J2SE 5.0 to 1.5.0_22, and updates Java SE 6 to 1.6.0_17.  J2SE 1.4.2 is no longer being updated to fix bugs or security issues and is therefore disabled by default in this update.  This release is only for Mac OS X 10.5.8 or later versions of Mac OS X 10.5.  This release of J2SE 5.0 supports all Intel and PowerPC-based Macs. Java SE 6 is available on 64-bit Intel-based Macs only.

For more details on this update, please visit this website.

Be Sociable, Share!

Leave a Reply